HostingDomain aliases
Create domain alias
POST
/api/domains/{domain_code}/aliasesCreates a new alias domain for a domain.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
domain_code*string
Domain code: D followed by 9 digits. Example: D123456789.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Alias domain name without www. Example: example.net.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/domains/string/aliases" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"message": "string",
"resource_code": "string"
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}